import request from '@/utils/request'

// 查询archivesNonDigitalDoc列表
export function listArchivesNonDigitalDoc(query) {
  return request({
    url: '/archives/archivesNonDigitalDoc/list',
    method: 'get',
    params: query
  })
}

// 查询archivesNonDigitalDoc详细
export function getArchivesNonDigitalDoc(id) {
  return request({
    url: '/archives/archivesNonDigitalDoc/' + id,
    method: 'get'
  })
}

// 新增archivesNonDigitalDoc
export function addArchivesNonDigitalDoc(data) {
  return request({
    url: '/archives/archivesNonDigitalDoc',
    method: 'post',
    data: data
  })
}

// 修改archivesNonDigitalDoc
export function updateArchivesNonDigitalDoc(data) {
  return request({
    url: '/archives/archivesNonDigitalDoc',
    method: 'put',
    data: data
  })
}

// 删除archivesNonDigitalDoc
export function delArchivesNonDigitalDoc(id) {
  return request({
    url: '/archives/archivesNonDigitalDoc/' + id,
    method: 'delete'
  })
}

// 导出archivesNonDigitalDoc
export function exportArchivesNonDigitalDoc(query) {
  return request({
    url: '/archives/archivesNonDigitalDoc/export',
    method: 'get',
    params: query
  })
}
// 下载项目导入模板
export function importTemplate() {
  return request({
    url: '/archives/archivesNonDigitalDoc/importTemplate',
    method: 'get'
  })
}
