export const tableOption = {
  dialogDrag: true,
  border: true,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuType: 'text',
  searchShow: false,
  excelBtn: true,
  printBtn: false,
  viewBtn: false,
  menu: false,
  addBtn: false,
  column: [
    {
      label: '流水批次号',
      prop: 'serialNumber',
      width:'150px'
    },
    {
      label: '移交档案号',
      prop: 'fileNum',
      width:'200px'
    },
    {
      label: '移交档案题名',
      prop: 'boxName',
      width:'200px'
    },
    {
      label: '文件数',
      prop: 'number',
      type: 'number',
    },
    {
      label: '移交人',
      prop: 'createName',
    },
    {
      label: '移交时间',
      prop: 'createTime',
      width:'150px',
      type:'date',
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",

    },
    {
      label: '移交人部门',
      prop: 'deptName',
      width:'150px'
    },
  ]
}


