export const zxxmTableOption = {
  reserveSelection:false,
  selection:true,
  index:true,
  addTitle:'咨询项目档案>新增',
  editTitle:'咨询项目档案>编辑',
  indexFixed:false,
  dialogDrag: true,
  border: false,
  indexLabel: '序号',
  stripe: true,
  menuAlign: 'center',
  align: 'center',
  menuWidth: '150px',
  menuType: 'text',
  excelBtn: false,
  printBtn: false,
  addBtn:false,
  viewBtn: false,
  editBtn:false,
  delBtn:false,
  menu:true,
  searchSize: 'mini',
  search:true,
  column: [
    {
      label: '状态',
      prop: 'status',
      type: 'select',
      display:false,
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/record_status',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '退回理由',
      prop: 'rejectReason',
      editDisplay:false,
      addDisplay:false,
      hide:true,
      disabled:true,
      viewDisplay:false,
      width: '150px'
    },
    {
      label: 'PK',
      prop: 'id',
      hide:true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      disabled:true,
      showColumn:false,
    },
    {
      label: '档号',
      prop: 'fileNum',
      search: true,
      editDisplay:false,
      addDisplay:false,
      display:false,
      width:'150px'
    },
    {
      label: '案卷题名',
      prop: 'boxName',
      search: true,
      rules: [{
        required: true,
        message: '请输入案卷题名',
        trigger: 'change'
      }],
      width:'250px'
    },
    {
      label: '编制日期',
      prop: 'descriptionTime',
      type:'date',
      search: true,
      format: "yyyyMMdd",
      valueFormat: "yyyy-MM-dd",
      width:'150px'
    },
    {
      label: '总页数',
      prop: 'pages',
      type:'number',
    },
    {
      label: '备注',
      prop: 'remark',
      search: true
    },
    {
      label: '密级',
      prop: 'secretLevel',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/pro_secret_level',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
    },
    {
      label: '保管期限',
      prop: 'storageTime',
      type: 'select',
      dicUrl: process.env.VUE_APP_BASE_API+'/system/dict/data/type/storage_time',
      props:{
        label:'dictLabel',
        value:'dictValue'
      },
      rules: [{
        required: true,
        message: '请选择保管期限',
        trigger: 'change'
      }],
    },
    {
      label: '全宗号',
      prop: 'totalNum',
    },
    {
      label: '项目编号',
      prop: 'projectNumber',
      type:'number',
      search: true,
      rules: [{
        required: true,
        message: '请输入项目编号',
        trigger: 'change'
      }]
    },
    {
      label: '案卷流水号',
      prop: 'caseNum',
      width: '120px',
      editDisplay:false,
      addDisplay:false,
      display:false,
    },
    {
      label: '档案类别',
      prop: 'archiveCategory',
      type:'select',
      dicUrl:process.env.VUE_APP_BASE_API+'/archives/categoryInfo/listCategoryInfo',
      props:{
        label:'name',
        value:'code'
      },
      width: '150px',
      value:'ZXXM',
      disabled:true
    },
    {
      label: '专业类别',
      prop: 'archiveScope',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/archives/categoryInfo/treeSonselect?code=ZXXM`,
      rules: [{
        required: true,
        message: '请选择专业类别',
        trigger: 'change'
      }],
    },
    {
      label: '密集柜号',
      prop: 'cabinetNumber',
    },
    {
      label: '立卷部门',
      prop: 'department',
      type: 'tree',
      filter:false,
      parent:false,
      props: {
        label: 'label',
        value: 'id'
      },
      dicUrl: process.env.VUE_APP_BASE_API+`/system/dept/treeselect`,
    },

  ]
}








