import { getStore, setStore } from '@/utils/store'


const common = {

  state: {

    topMenuIndex: getStore({ name: 'topMenuIndex' }) || 0,
  },
  actions: {},
  mutations: {
    SET_TOP_MENU_INDEX: (state, topMenuIndex) => {

      state.topMenuIndex = topMenuIndex
      setStore({
        name: 'topMenuIndex',
        content: state.topMenuIndex
      })
    },
  }
}
export default common
